hammer CLI subscription delete-manifest does not delete 

06/06/2014 08:39 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1084132 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Can not delete manifest using hammer cli on Satellite 6.0.3 Summit Release Snap6

Version-Release number of selected component (if applicable):

Satellite 6.0.3 - Summit-Release-Snap6

hammer (0.1.0)  * hammer_cli_foreman (0.1.0)  * hammer_cli_katello (0.0.3)

How reproducible:

Always

Steps to Reproduce:

1.upload manifest

2.use hammer cli to delete manifest, hammer subscription delete-manifest --organization-id ACME_Corporation

3.list subscriptions

Actual results:

CLI reports task successful, however subscriptions still show

Expected results:

No data for subscriptions

Additional info:

Associated revisions

Revision 11b7671f - 06/06/2014 08:46 PM - dustin tsang

Fixes #6105 - subs refresh_hist & delete-manifest

subscription refresh-history and delete-manifest commands were

requesting subscription id when subscription id should not need to be

provided. Fix was to use Command rather than a SingleResourceCommand.

Revision 9336402c - 06/09/2014 03:16 PM - dustin tsang

Merge pull request #187 from dustint-rh/subs_delete_refesh_fails

Fixes #6105 - subs refresh_hist & delete-manifest

History

#1 - 06/06/2014 08:42 PM - dustin tsang

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1084132

#2 - 06/06/2014 08:42 PM - dustin tsang

- Subject changed from Description of problem: Can not delete manifest using hammer cli on Satellite 6.0.3 Summit Release Snap6   Version-Release

number of selected component (if applicable): Satellite 6.0.3 - Summit-Release-Snap6 hammer (0.1.0)  * hammer_cli_foreman (0.1.0)  * to hammer
#3 - 06/06/2014 08:47 PM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/187

#4 - 06/09/2014 12:11 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 06/09/2014 04:06 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:11b7671f682ed96d0cc9c6960ccb9a9bc038514f.

#6 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
